verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*,5.3*

die off

# Stop service + recorder
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=2
system net stop openit

# Wait for 20 seconds, to be sure all instances has ended
system "%installdir%\bin\sendcommand.exe" -h sentinel_%USERNAME% -c DIE
sleep 5000

system "%installdir%\bin\sendcommand.exe" -h recorder_%USERNAME% -c DIE
sleep 5000

print Will sleep for 10 seconds to make sure all instances of Recorder has ended
sleep 10000

# Backup PSAPI and PDH DLL's, if found
system move /Y "%installdir%\bin\psapi.dll" "%installdir%\bin\psapi.dll.bak"
system move /Y "%installdir%\bin\pdh.dll" "%installdir%\bin\pdh.dll.bak"

# Backup current binaries
system move /Y "%installdir%\bin\OpeniTResources.exe" "%installdir%\bin\OpeniTResources.exe.bak"
system move /Y "%installdir%\bin\OpeniTSentinel.exe" "%installdir%\bin\OpeniTSentinel.exe.bak"
system move /Y "%installdir%\bin\Recorder.exe" "%installdir%\bin\Recorder.exe.bak"
system move /Y "%installdir%\bin\RecorderDll.dll" "%installdir%\bin\RecorderDll.dll.bak"

# Copy new binaries.
system copy "bin\OpeniTResources.exe" "%installdir%\bin\"
system copy "bin\OpeniTSentinel.exe" "%installdir%\bin\"
system copy "bin\Recorder.exe" "%installdir%\bin\"
system copy "bin\RecorderDll.dll" "%installdir%\bin\"


# Enable recorder again
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=1

# Copy readme.
if ( exists != "%installdir%\patches" ) system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1076.readme.txt"

# Start service again.
system net start openit

# Restart OpenitSentinel/Recorder
sleep 10000
run "%installdir%\bin\OpeniTSentinel.exe"
